import React, { Component } from 'react'
import Swiper from 'swiper'
import 'swiper/dist/css/swiper.min.css'
import './system-bullet-screen.scss'


class SystemBulletScreen extends Component {

  swiper
  count = 0

  componentDidMount() {
    this.initializeSwiper()
  }


  initializeSwiper = () => {
    const _this = this
    console.log(document.querySelector('.sys-bullet-screen-swiper-container'))
    this.swiper = new Swiper('.sys-bullet-screen-swiper-container', {
      allowTouchMove: false,
      direction: 'vertical',
      on: {
        init() {
          let el = this.slides[this.activeIndex],
            content = el.querySelector('span'),
            contentWidth = content.offsetWidth,
            wrapperWidth = el.querySelector('div').clientWidth

          const co = 131.25

          if (contentWidth > wrapperWidth) {
            content.style.transition = `transform ${contentWidth / co}s linear`
            setTimeout(() => {
              content.style.transform = `translate3d(${-(contentWidth - wrapperWidth) - 10}px,0,0)`
            }, 3000)
            console.log(contentWidth, wrapperWidth)
          } else {
            _this.swiper.slideNext()
          }

        },
        transitionEnd() {
          console.log(this.slides[this.activeIndex])
        }
      }
    })
  }

  transitionEnd = () => {
    const {
      bullets = [
        '通知内容，后台编辑，单条超字左滑滚动显示完整，多条上下滚动轮播',
        '通知内容，后台编辑，单条超字左滑滚动显示完整，多条上下滚动轮播',
        '通知内容，后台编辑，单条超字左滑滚动显示完整，多条上下滚动轮播',
      ]
    } = this.props
    const len = bullets.length * 3

  }

  render() {
    const {
      bullets = [
        '通知内容，后台编辑，单条超字左滑滚动显示完整，多条上下滚动轮播',
        '通知内容，后台编辑，单条超字左滑滚动显示完整，多条上下滚动轮播',
        '通知内容，后台编辑，单条超字左滑滚动显示完整，多条上下滚动轮播',
      ]
    } = this.props
    return (
      <div id='system-bullet-screen' className='sys-bullet-screen-swiper-container'>
        <ul className="swiper-wrapper">
          {
            bullets && bullets.length && bullets.map((item, index) => {
              return (
                <li className="swiper-slide" key={index}>
                  <img className='avatar'
                       src='https://julyedu-cdn.oss-cn-beijing.aliyuncs.com/newyear20/system-avatar.png' alt=""/>
                  <div><span onTransitionEnd={this.transitionEnd}>{item}</span></div>
                </li>
              )
            })
          }
        </ul>
      </div>
    )
  }
}

export default SystemBulletScreen
